package com.ozs.pm.doman.vo.requestVo;



import com.fasterxml.jackson.annotation.JsonFormat;

import com.ozs.system.domain.SysFileRef;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * 需求建档对象
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@ApiModel("需求建档对象")
public class PmBookBuildingReqVo
{


    @ApiModelProperty("主键")
    private Long id;


    @ApiModelProperty("需求ID")
    private Long demandId;


    @ApiModelProperty("预算金额(万元)")
    private Double budgetAmount;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("需求提报时间")
    private Date demandCommitTime;


    @ApiModelProperty("备注")
    private String remarks;



    /**
     * 上传附件
     */
    @ApiModelProperty("上传附件")
    private List<SysFileRef> sysFileRefs;


    @ApiModelProperty("创建者")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;


    @ApiModelProperty("更新者")
    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
